aboutsummaryrefslogtreecommitdiff
path: root/test-suite/tools
diff options
context:
space:
mode:
authorThéo Zimmermann2018-10-03 13:03:12 +0200
committerThéo Zimmermann2018-10-03 13:03:12 +0200
commit016f4a302090bcbb4ad47197dda2c60d6f598f6a (patch)
treeadb720db54d759a3c722a8c57de6eaca0ddbd228 /test-suite/tools
parent33328635560b9cb963af0805c43f170b3898caac (diff)
parent425475e4605691642b09b625dd13e7e3506299b6 (diff)
Merge PR #8634: (For v8.9 and master) Remove -compat 8.6 and document the compat updates to do as part of a release.
Diffstat (limited to 'test-suite/tools')
-rwxr-xr-xtest-suite/tools/update-compat/run.sh9
1 files changed, 9 insertions, 0 deletions
diff --git a/test-suite/tools/update-compat/run.sh b/test-suite/tools/update-compat/run.sh
new file mode 100755
index 0000000000..02a2348450
--- /dev/null
+++ b/test-suite/tools/update-compat/run.sh
@@ -0,0 +1,9 @@
+#!/usr/bin/env bash
+
+# allow running this script from any directory by basing things on where the script lives
+SCRIPT_DIR="$( cd "$( dirname "${BASH_SOURCE[0]}" )" >/dev/null && pwd )"
+
+# we assume that the script lives in test-suite/tools/update-compat/,
+# and that update-compat.py lives in dev/tools/
+cd "${SCRIPT_DIR}/../../.."
+dev/tools/update-compat.py --assert-unchanged --cur-version=8.9 || exit $?